FREESPACE(6)

NAME
fs2_open - manual page for FreeSpace 2 Open

SYNOPSIS
fs2_open

DESCRIPTION
FreeSpace 2 Open Website: http://scp.indiegames.us Github (bug reporting): https://github.com/scp-fs2open/fs2open.github.com/issues

OPTIONS

Usage: fs2_open [options]

Graphic:

-spec
    Enable specular

    Only polygons mapped with textures for which a shinemap exists will receive specular mapping; no attempt is made to generate spec maps where they do not exist. Specular maps are specified with the base map name plus "-shine" (i.e. TCov3A-shine.pcx). FS2 Open, 3.6.15: This feature is on by default, use launcher option Disable Specular or if necessary to manually disable enter the flag -nospec

-glow
    Enable glow maps

    Only polygons mapped with textures for which a glowmap exists will be glowmapped. Glow maps are specified with the base map name plus "-glow" (i.e. TCov4A-glow.pcx) FS2 Open, 3.6.15: This feature is on by default, use launcher option Disable Glow Maps or if necessary to manually disable enter the flag -noglow

-env
    Enable environment maps

    It only works if -spec is also set. Environment mapping intensity will be determined from the shine map too (see Texturing for more info). See Video setup. FS2 Open, 3.6.15: This feature is on by default, use launcher option Disable Environment Maps or if necessary to manually disable enter the flag -noenv

-mipmap
    Enable mipmapping

    Causes for non-mipmapped textures to have mipmaps generated within the GPU on certain kind of texture formats, (IIRC, DDS formatted textures with a power of 2 size in both width and height). Since the use of already mipmapped DDS textures has become common, it has become deprecated. The quality of the generated mipmaps depends on each GPU and used driver. It is normally used with -img2dds flag.

-nomotiondebris
    Disable motion debris

-noscalevid
    Disable scale-to-window for movies

    Disables fullscreen scaling of video clips.

-missile_lighting
    Apply lighting to missiles

-normal
    Enable normal maps

    Normal maps require GLSL rendering, (see OpenGL Shaders (GLSL) for further info). It needs auxiliary normal maps (the same name of the base map plus "-normal"). DXT5_NM DDS format is needed. (Technical note: DXT5 will work, since only the GREEN and ALPHA channels are read by the current shader system. One direction of lines goes into the GREEN channel, the other direction goes into the ALPHA channel. RED and BLUE can be either base gray (#808080) or black. Usual practice is after creating the DXT5_NM, copy the RED channel to the ALPHA channel, black out the RED and BLUE an then save as either a DXT5 or u8888 (uncompressed) DDS file.) FS2 Open, 3.6.15: This feature is on by default, use launcher option Disable Normal Maps or if necessary to manually disable enter the flag -nonormal

-3dshockwave
    Enable 3D shockwaves

    This only has any effect when both a 2d and 3d shockwave effect are present, otherwise the only available effect is used.

-post_process
    Enable post processing

    enables the use (if present) of post-processing effects as defined by the post_process.tbl. Bloom usage has an additional cmdline option for setting it's value, most post processing effects are achieved in mission per the mission designer or can be enabled globally in the table.

-soft_particles
    Enable soft particles

-fxaa
    Enable FXAA anti-aliasing

    Enables the FXAA postprocessing stage. Needs optional FXAA shaders, which can be found here: http://www.hard-light.net/forums/index.php?topic=76145.0

Game Speed:

-img2dds
    Compress non-compressed images

    Converts all images to DDS (compressed) format. Decreases memory usage but potentially reduces image quality.

-no_vsync
    Disable vertical sync

-cache_bitmaps
    Cache bitmaps between missions

    Will ideally reduce the load-time from one mission to another.

HUD:

-dualscanlines
    Add another pair of scanning lines

    Adds a second pair of scanning lines to the target window when scanning an object.

-targetinfo
    Enable info next to target

    Displays target info, such as name and class, beside the targeted object.

-orbradar
    Enable 3D radar

    An Orb style 3D radar will replace the standard 2D version.

-rearm_timer
    Enable rearm/repair completion timer

    Displays time remaining until rearm and repair from a support ship is complete.

-ballistic_gauge
    Enable analog ballistic ammo gauge

    Adds an ammo gauge to the HUD when armed with a ballistic weapon.

Gameplay:

-mod

    Specifies in which folders inside FreeSpace 2 directory, the game looks for all the game data (models, missions, textures, tables, ...). Retail version only looks inside Freespace2/data/ structure and Freespace2/vp archives. This flag allows installing several different mods that modify retail behavior, and switching between them without needing to erase files or having undesired cross effects. Each mod should be installed in its own folder. It takes one argument string: the chain of names of the used directories. Comma (,) must be used as separator. In this way, -mod dir1,dir2,dir3,...,dirx causes the game to use the following directory precedence:
        Freespace2/dir1/
        Freespace2/dir2/
        Freespace2/dir3/
        ... (the rest of the typed directories) ...
        Freespace2/dirx/
        Freespace2/ This flag can be indirectly set, (and it is normally set), through Launcher MOD tab and mod.ini file. Within the Launcher's MOD tab you can select one directory, (let's call it moddir), so the flag is at least set to -mod moddir. If Freespace2/moddir/mod.ini exists it will be used to modify the -mod flag, too.

-ship_choice_3d
    Use 3D models for ship selection

    Uses ship models in ship selection window. It completely disables the standard ANI interface in this screen. Some mods need a compulsory use of this flag because they don't have available animations for their ships. In this situation, and if it is not used, the game will probably crash to desktop in the ship selection window.

-weapon_choice_3d
    Use 3D models for weapon selection

    Uses weapon models in weapon loadout window for secondary weapons (missiles and bombs). It completely disables the standard ANI interface in this screen. Some mods need a compulsory use of this flag because they don't have available animations for their secondary weapons. In this situation, and if it is not used, the game will probably crash to desktop in the weapon loadout window.

-3dwarp
    Enable 3D warp

    Use full geometry for the subspace warp effect.

-warp_flash
    Enable flash upon warp

    Enable a flash at warp in and warp out.

-no_ap_interrupt
    Disable interrupting autopilot

    Tells the game to not allow players to interrupt an autopilot already-in-progress.

Audio:

-snd_preload
    Preload mission game sounds

    Useful in preventing game stuttering when sounds are played for the first time.

-nosound
    Disable all sound

-nomusic
    Disable music

Multiplayer:

-standalone
    Run as standalone server

    Creates a standalone multi-player server.

-startgame
    Skip mainhall and start hosting

    Once you launch and choose a pilot within the game, you will immediately have begun to host a game. This can be used in conjunction with several options to customize the game you create: -closed, -restricted, -password, -gamename, -allowabove, and -allowbelow. -startgame has no effect when -standalone is used. See related: -closed -restricted -password -gamename -allowabove -allowbelow

-closed
    Start hosted server as closed

    Hosts a new game in a closed state, where no one can join until the in-game "Close" button is cleared. This only works when used in conjunction with -startgame. Cannot be used in conjunction with -restricted or -password. See related: -startgame -restricted -password

-restricted
    Host confirms join requests

    Hosts a new game in a restricted state. The host is presented with option to accept or deny each client's request to join the game. This only works when used in conjunction with -startgame. Cannot be used in conjunction with -closed or -password. See related: -startgame -closed -password

-multilog

    Creates a log file with a summary of packets sent and received in multiplayer games. The file is saved as atalti.log within the active mod folder—or with main data folder if no mod is active.

-clientdamage
    This feature is not available in current builds.

-mpnoreturn
    Disable flight deck option

    Disables return to the flight deck screen after a mission completes.

Troubleshooting:

-nohtl
    Software mode (very slow)

    Reverts to software rendering mode. Warning: Enabling this will significantly reduce performance.

-no_set_gamma
    Disable setting of gamma

    Disables the gamma settings in the options screen.

-nomovies
    Disable video playback

    Disables all video playback.

-noparseerrors
    Disable parsing errors

    Disables some parsing warnings and makes other parse errors non-fatal. Do not rely on this when creating new tables. The errors are there for a reason.

-query_speech
    Check if this build has speech

    Determines if the current build includes text-to-speech.

-novbo
    Disable OpenGL VBO

-noibx
    Don't use cached index buffers (IBX)

    Disables IBX caching of model geometry data. This will dramatically increase load times, but will help troubleshoot a model if one is working incorrectly.

-loadallweps
    Load all weapons, even those not used

-disable_fbo
    Disable OpenGL RenderTargets

-no_glsl
    Disable GLSL (shader) support

    Disables the use of GLSL rendering (OpenGL shaders). The game will revert to legacy fixed render pipeline. Please note that Normal and Height map effects will be unavailable.

-ati_swap
    Fix colour issues on some ATI cards

-no_3d_sound
    Use only 2D/stereo for sound effects

-disable_glsl_model
    Don't use shaders for model rendering

-use_gldrawelements
    Don't use glDrawRangeElements

Experimental:

-ingame_join
    Allow in-game joining

-voicer
    Enable voice recognition

    Windows-only. Enables voice-recognition for wingmen commands. Must be specifically compiled into a build in order for it to be available; 3.6.10 final includes the feature. See Voice Recognition for more details.

-fb_explosions
    Enable Framebuffer Shockwaves

Development Tools:

-fps
    Show frames per second on HUD

    Displays current frames per second.

-pos
    Show position of camera

    Displays current position coordinates of camera.

-window
    Run in window

    Runs the game in a window. No check to make sure that resolution is no higher than your desktop resolution, so be careful.

-stats
    Show statistics

    Shows total and free physical memory, virtual memory and system pagefile.

-coords
    Show coordinates

    Shows coordinates of the mouse cursor.

-show_mem_usage
    Show memory usage

    Shows detailed RAM usage based on file, handler and process usage and display on the left-center side of the screen during mission load and while in mission. The meaning of the info displayed in the upper right corner of the HUD is: DYN = dynamic memory, basically anything that's been allocated by the vm_* memory functions. This does NOT indicate total memory usage but does account for most of it. POF = model memory, how much memory is being used by models (does not include textures) C-BMP, BMP = bmpman memory, how much is used by the textures/images that are loaded. C-BMP means that you are using -cache_bitmaps and it will try to keep textures in memory between level loads and as the new level is loading it will keep what it needs and unload what it doesn't. Can greatly increase level loading speed, but does so at the cost of memory between level loads. This does not increase overall memory usage though, only during the loading screen. BMP means that it is not cached and all textures are unloaded from memory at the start of level load and all needed textures are then loaded from the disk again. S-RAM = sound memory, how much is used by the sounds loaded in memory at the time. This counts static sounds only (from sounds.tbl, etc.) and not streaming sounds (music, voices, briefing stuff, etc). V-RAM = approximate memory usage of video textures. This does not mean that your card has this much memory, and can report higher numbers that your card actually has memory. For OpenGL it also includes some of the geometry data, but this number does not reflect the total memory that your video card is using. It only reports how much data the game has purposefully loaded into API memory (meaning it could be in system memory, video card memory, or AGP memory). (It only works with debug builds, not with release builds).

-pofspew

    Reads all objects in the pof file of the selected mod, and creates an ibx cache file for each object in the data/cache folder for that mod. Details for each object are output to a pofspew.txt file created in the data folder. Otherwise, ibx files are created in game before each mission.

-tablecrcs

    Is actually now (or should be) a typed reference rather than as a selection item. Takes 1 argument, usually a descriptive name. Example usage: "-table_crcs MediaVPs" will create a table_crcs.csv file in the running mod (name can be separate of the mod selected) that allows for the validation of the tables used by that mod while on-line. The descriptive parameter given helps "allocate" that .csv file to the mod in question, and as such should closely or exactly match that mods name if possible.

-missioncrcs

    Is actually now (or should be) a typed reference rather than as a selection item. Takes 1 argument, usually a descriptive name. Example usage: "-mission_crcs MediaVPs" will create a mission_crcs.csv file in the running mod (name can be separate of the mod selected) that allows for the validation of the missions used by that mod while on-line. The descriptive parameter given helps "allocate" that .csv file to the mod in question, and as such should closely or exactly match that mods name if possible.

-dis_collisions
    Disable collisions

-dis_weapons
    Disable weapon rendering

-output_sexps
    Output SEXPs to sexps.html

    This will make the FSO build spit out an html file that documents the supported SEXP's. Just double click on sexps.html and it should open in your default web browser.

-output_scripting
    Output scripting to scripting.html

    This will make the FSO build spit out an html file that documents the supported scripting hooks and LUA libraries. Just double click on scripting.html and it should open in your default web browser.

-save_render_target
    Save render targets to file

-debug_window
    Display debug window

    Lists the fs2_open.log in (nearly)real-time generation.

-verify_vps
    Spew VP CRCs to vp_crcs.txt

    Exports the CRC values of the VP files being loaded into a vp_crcs.txt file.

-nograb
    Don't grab mouse/keyboard in a window

    Unix only. Disables focus grabbing in a window.

SEE ALSO
Command-Line Reference

    http://www.hard-light.net/wiki/index.php/Command-Line_Reference